"""Helper functions

Consists of functions to typically be used within templates, but also
available to Controllers. This module is available to templates as 'h'.
"""
# Import helpers as desired, or define your own, ie:
#from webhelpers.html.tags import checkbox, password
from webhelpers.html import tags
from routes.util import url_for

def iconlink(icon, text, url, **kwargs):
    """Create an A-HREF link with an icon and a certain text pointing to an URL
    
    Additional keyword arguments are sent to the webhelpers.tags.link_to() call."""
    text = tags.image('/icons/%s.png' % icon, 'Icon') + ' ' + text
    return tags.link_to(text, url, **kwargs)
